Update role

Update a role. Use denied_permissions to narrow a built-in role (denials win over baseline grants, including wildcards). Superuser roles cannot have denials.

PATCH
/v1/roles/{role_id}

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

role_id*string

Role ID

Request Body

application/json

Role params

TypeScript Definitions

Use the request body type in TypeScript.

Request schema for updating a role

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/roles/string" \  -H "Content-Type: application/json" \  -d '{    "denied_permissions": [      "appointments.own.cancel",      "appointments.own.reschedule"    ]  }'
{  "data": {    "denied_permissions": [      "appointments.own.cancel",      "appointments.own.reschedule"    ],    "id": "role_123456789012",    "name": "Staff",    "object": "role",    "permissions": [      "accounts.view",      "appointments.own.*",      "blocks.*",      "booking_intents.*",      "clients.*",      "integrations.own.*",      "providers.own.view",      "providers.own.update"    ],    "type": "staff"  }}